ALAS-2018-1117


Amazon Linux AMI Security Advisory: ALAS-2018-1117
Advisory Release Date: 2018-12-07 01:14 Pacific
Severity: Important
References: CVE-2018-10915 

Issue Overview:

A vulnerability was found in libpq, the default PostgreSQL client library where libpq failed to properly reset its internal state between connections. If an affected version of libpq were used with "host" or "hostaddr" connection parameters from untrusted input, attackers could bypass client-side connection security features, obtain access to higher privileged connections or potentially cause other impact through SQL injection, by causing the PQescape() functions to malfunction.(CVE-2018-10915 )


Affected Packages:

postgresql93,postgresql94


Issue Correction:
Run yum update postgresql93 to update your system.
Run yum update postgresql94 to update your system.

New Packages:
i686:
    postgresql94-test-9.4.20-1.76.amzn1.i686
    postgresql94-9.4.20-1.76.amzn1.i686
    postgresql94-plpython26-9.4.20-1.76.amzn1.i686
    postgresql94-server-9.4.20-1.76.amzn1.i686
    postgresql94-devel-9.4.20-1.76.amzn1.i686
    postgresql94-libs-9.4.20-1.76.amzn1.i686
    postgresql94-plperl-9.4.20-1.76.amzn1.i686
    postgresql94-docs-9.4.20-1.76.amzn1.i686
    postgresql94-contrib-9.4.20-1.76.amzn1.i686
    postgresql94-debuginfo-9.4.20-1.76.amzn1.i686
    postgresql94-plpython27-9.4.20-1.76.amzn1.i686
    postgresql93-libs-9.3.25-1.72.amzn1.i686
    postgresql93-9.3.25-1.72.amzn1.i686
    postgresql93-test-9.3.25-1.72.amzn1.i686
    postgresql93-docs-9.3.25-1.72.amzn1.i686
    postgresql93-devel-9.3.25-1.72.amzn1.i686
    postgresql93-debuginfo-9.3.25-1.72.amzn1.i686
    postgresql93-pltcl-9.3.25-1.72.amzn1.i686
    postgresql93-server-9.3.25-1.72.amzn1.i686
    postgresql93-plpython27-9.3.25-1.72.amzn1.i686
    postgresql93-contrib-9.3.25-1.72.amzn1.i686
    postgresql93-plpython26-9.3.25-1.72.amzn1.i686
    postgresql93-plperl-9.3.25-1.72.amzn1.i686

src:
    postgresql94-9.4.20-1.76.amzn1.src
    postgresql93-9.3.25-1.72.amzn1.src

x86_64:
    postgresql94-server-9.4.20-1.76.amzn1.x86_64
    postgresql94-docs-9.4.20-1.76.amzn1.x86_64
    postgresql94-9.4.20-1.76.amzn1.x86_64
    postgresql94-devel-9.4.20-1.76.amzn1.x86_64
    postgresql94-test-9.4.20-1.76.amzn1.x86_64
    postgresql94-plpython26-9.4.20-1.76.amzn1.x86_64
    postgresql94-contrib-9.4.20-1.76.amzn1.x86_64
    postgresql94-plperl-9.4.20-1.76.amzn1.x86_64
    postgresql94-plpython27-9.4.20-1.76.amzn1.x86_64
    postgresql94-debuginfo-9.4.20-1.76.amzn1.x86_64
    postgresql94-libs-9.4.20-1.76.amzn1.x86_64
    postgresql93-server-9.3.25-1.72.amzn1.x86_64
    postgresql93-contrib-9.3.25-1.72.amzn1.x86_64
    postgresql93-9.3.25-1.72.amzn1.x86_64
    postgresql93-plperl-9.3.25-1.72.amzn1.x86_64
    postgresql93-plpython26-9.3.25-1.72.amzn1.x86_64
    postgresql93-debuginfo-9.3.25-1.72.amzn1.x86_64
    postgresql93-devel-9.3.25-1.72.amzn1.x86_64
    postgresql93-pltcl-9.3.25-1.72.amzn1.x86_64
    postgresql93-plpython27-9.3.25-1.72.amzn1.x86_64
    postgresql93-libs-9.3.25-1.72.amzn1.x86_64
    postgresql93-docs-9.3.25-1.72.amzn1.x86_64
    postgresql93-test-9.3.25-1.72.amzn1.x86_64